<?php
$prefix = WOO_VOU_META_PREFIX;

//get order
$order 			= new Wc_Order( $order_id );

//get order items
$order_items 	= $order->get_items();

//get order date
$order_date		= $order->order_date;

//get payment method
$payment_method	= $order->payment_method_title;

//get buyer details
$buyer_detail	= $this->model->woo_vou_get_buyer_information( $order_id );

//get buyer name
$buyername		= isset( $buyer_detail['first_name'] ) ? $buyer_detail['first_name'] : '';
$buyername		.= isset( $buyer_detail['last_name'] ) ? ' '.$buyer_detail['last_name'] : '';

//product info key parameter
$product_info_columns	= apply_filters( 'woo_vou_check_vou_productinfo_fields', array(
													'item_name'		=> __( 'Item Name', 'woovoucher' ),
													'item_price'	=> __( 'Price', 'woovoucher' )
												), $order_id, $voucode );

//product voucher information columns
$voucher_info_columns = apply_filters( 'woo_vou_check_vou_voucherinfo_fields', array(
													'logo' 			=> __( 'Logo', 'woovoucher' ),
													'voucher_data' 	=> __( 'Voucher Data', 'woovoucher' ),
													'expires' 		=> __( 'Expires', 'woovoucher' )
												), $order_id, $voucode );

//buyer info key parameter
$buyer_info_columns	= apply_filters( 'woo_vou_check_vou_buyerinfo_fields', array(
													'buyer_name'		=> __( 'Name', 'woovoucher' ),
													'buyer_email'		=> __( 'Email', 'woovoucher' ),
													'billing_address'	=> __( 'Billing Address', 'woovoucher' ),
													'shipping_address'	=> __( 'Shipping Address', 'woovoucher' ),
													'buyer_phone'		=> __( 'Phone', 'woovoucher' )
												), $order_id, $voucode );

//order info key parameter
$order_info_columns	= apply_filters( 'woo_vou_check_vou_orderinfo_fields', array(
													'order_id'			=> __( 'Order ID', 'woovoucher' ),
													'order_date'		=> __( 'Order Date', 'woovoucher' ),
													'payment_method'	=> __( 'Payment Method', 'woovoucher' ),
													'order_total'		=> __( 'Order Total', 'woovoucher' ),
													'order_discount'	=> __( 'Order Discount', 'woovoucher' ),
												), $order_id, $voucode );

$check_code	= trim( $voucode );
$item_array	= $this->model->woo_vou_get_item_data_using_voucher_code( $order_items, $check_code );

$item		= isset( $item_array['item_data'] ) ? $item_array['item_data'] : array();
$item_id	= isset( $item_array['item_id'] ) ? $item_array['item_id'] : array();

//Get product from Item ( It is required otherwise multipdf voucher link not work and global $woo_vou_item_id will not work )
$_product 	= $order->get_product_from_item( $item );

$billing_address	= $order->get_formatted_billing_address();
$shipping_address	= $order->get_formatted_shipping_address();
?>

<div class="woo_vou_product_details"><?php
	
	do_action( 'woo_vou_before_productinfo', $voucodeid, $item_id, $order_id );
	
	if( !empty( $product_info_columns ) ) { //if product info is not empty ?>
		
		<h2><?php echo __( 'Product Information', 'woovoucher' );?></h2>
		<div class="woo_pdf_vou_main">
			<div class="woo_pdf_pro_tit">
				<?php
				// Get product columns
				$product_col = count($product_info_columns);
				$product_col = 'col-'.$product_col;
				
				foreach ( $product_info_columns as $col_key => $column ) { ?>
					<div class="<?php echo $product_col; ?> woo_vou_padding"><?php echo $column;?></div><?php
				} ?>
			</div>
			<div class="woo_pdf_vou_pro_lst"><?php
				
				foreach ( $product_info_columns as $col_key => $column ) {?>

					<div class="<?php echo $product_col; ?> woo_vou_padding"><?php

						$column_value = $sku_value	= '';

						switch ( $col_key ) {

							case 'item_name' : 
							
							$column_value = '<div class="woo_pdf_res_vou"> Item Name </div>'; 
								
								if ( $_product && $_product->get_sku() ) {
									$sku_value	= esc_html( $_product->get_sku() ).' - ';
								}
								if ( $_product ) {
									$column_value .= $sku_value.'<a target="_blank" href="'. get_permalink( $_product->id ) . '">' . esc_html( $item['name'] ) . '</a>';
								} else {
									$column_value .= $sku_value.esc_html( $item['name'] );
								}

								//Get product item meta
								$product_item_meta = isset( $item['item_meta'] ) ? $item['item_meta'] : array();

								//Display product variations
								//$column_value .= $this->model->woo_vou_display_product_item_name( $product_item_meta, true );
								$column_value .= $this->model->woo_vou_display_product_item_name( $item, $_product, true );
								break;

							case 'item_price' :
								$column_value = '<div class="woo_pdf_res_vou"> Price </div>'; 
								
								if ( isset( $item['line_total'] ) ) {
									if ( isset( $item['line_subtotal'] ) && $item['line_subtotal'] != $item['line_total'] ) echo '<del>' . wc_price( $item['line_subtotal']/$item['qty'] ) . '</del> ';
									$column_value .= wc_price( $item['line_total']/$item['qty'] );
								}
								break;
								
							default:
								$column_value .= '';
						}

						echo apply_filters( 'woo_vou_check_voucher_column_value', $column_value, $col_key, $voucodeid, $item_id, $order_id );

						?>
					</div><?php 
				} ?>
			</div>
		</div><?php 
	}
	
	do_action( 'woo_vou_after_productinfo', $voucodeid, $item_id, $order_id );
	
	if( !empty( $voucher_info_columns ) ) { //if voucher info column is not empty ?>
		
		<h2><?php echo __( 'Voucher Information', 'woovoucher' ); ?></h2>
		
		<div class="woo_pdf_vou_main">
			<div class="woo_pdf_pro_tit">
				<?php
				// Get product columns
				$voucher_col = count($voucher_info_columns);
				$voucher_col = 'col-'.$voucher_col;
			
				foreach ( $voucher_info_columns as $col_key => $column ) { ?>
					
					<div class="<?php echo $voucher_col; ?> woo_vou_padding"><?php echo $column;?></div><?php
				}?>
			</div>
			<div class="woo_pdf_vou_pro_lst"><?php 
				
				// get orderdata
				$allorderdata	= $this->model->woo_vou_get_all_ordered_data( $order_id );						
				//get all voucher details from order meta
				$allvoucherdata = isset( $allorderdata[$_product->id] ) ? $allorderdata[$_product->id] : array();
				
				foreach ( $voucher_info_columns as $col_key => $column ) { ?>

					<div class="<?php echo $voucher_col; ?> woo_vou_padding">
						<?php
						$column_value = '';

						switch ( $col_key ) {

							case 'logo' :									
								if( !empty(  $allvoucherdata['vendor_logo']['src'] ) )
									$column_value .= '<div class="woo_pdf_res_vou"> Logo </div>' . '<img src="' . $allvoucherdata['vendor_logo']['src'] . '" alt="" width="70" height="70" />';
								else 
									$column_value .= '<div class="woo_pdf_res_vou"> Logo </div> &nbsp;';
								break;
							case 'voucher_data' : 
								ob_start(); ?>									
								<span><strong><?php _e( 'Vendor\'s Address', 'woovoucher' ); ?></strong></span><br />
								<span><?php echo !empty( $allvoucherdata['vendor_address'] ) ? nl2br( $allvoucherdata['vendor_address'] ) : __( 'N/A', 'woovoucher' ); ?></span><br />
								<span><strong><?php _e( 'Site URL', 'woovoucher' ); ?></strong></span><br />
								<span><?php echo !empty( $allvoucherdata['website_url'] ) ? $allvoucherdata['website_url'] : __( 'N/A', 'woovoucher' ); ?></span><br />
								<span><strong><?php _e( 'Redeem Instructions', 'woovoucher' ); ?></strong></span><br />
								<span><?php echo !empty( $allvoucherdata['redeem'] ) ? nl2br( $allvoucherdata['redeem'] ) : __( 'N/A', 'woovoucher' ); ?></span><br /><?php
								
								if( !empty( $allvoucherdata['avail_locations'] ) ) {
									
									echo '<span><strong>' . __( 'Locations', 'woovoucher' ) . '</strong></span><br />';
									
									foreach ( $allvoucherdata['avail_locations'] as $location ) {
										
										if( !empty( $location[$prefix.'locations'] ) ) {
											
											if( !empty( $location[$prefix.'map_link'] ) ) {
												echo '<span><a target="_blank" style="text-decoration: none;" href="' . $location[$prefix.'map_link'] . '">' . $location[$prefix.'locations'] . '</a></span><br />';
											} else {
												echo '<span>' . $location[$prefix.'locations'] . '</span><br />';
											}
										}
									}
								}
								$column_value = '<div class="woo_pdf_res_vou"> Voucher Data </div> <div class="woo_pdf_val">'. ob_get_clean() . '</div>';
								break;
							case 'expires' :
								$column_value = '<div class="woo_pdf_res_vou"> 	Expires </div>'; 
								$column_value .= !empty( $allvoucherdata['exp_date'] ) ? $this->model->woo_vou_get_date_format( $allvoucherdata['exp_date'], true ) : __( 'N/A', 'woovoucher' );	
							default:
								$column_value .= '';
						}

						echo apply_filters( 'woo_vou_check_voucher_column_value', $column_value, $col_key, $voucodeid, $item_id, $order_id );
						?>
					</div><?php
				}?>
			</div>
		</div><?php 
	}
	
	do_action( 'woo_vou_after_voucherinfo', $voucodeid, $item_id, $order_id );
	
	if( !empty( $buyer_info_columns ) ) { //if product info is not empty ?>
		
		<h2><?php echo __( 'Buyer Information', 'woovoucher' ); ?></h2>
		<div class="woo_pdf_vou_main">
			<div class="woo_pdf_vou_tit">
				<?php 
				// Get product columns
				$buyer_col = count($buyer_info_columns);
				$buyer_col = 'col-'.$buyer_col;
				
				foreach ( $buyer_info_columns as $col_key => $column ) { ?>
					<div class="<?php echo $buyer_col; ?> woo_vou_padding"><?php echo $column;?></div><?php
				} ?>
			</div>
			
			<div class="woo_pdf_vou_pro_lst">
				<?php
				foreach ( $buyer_info_columns as $col_key => $column ) { ?>
					
					<div class="<?php echo $buyer_col; ?> woo_vou_padding">
						<?php
						$column_value = '';
						
						switch ( $col_key ) { 
							
							case 'buyer_name' : 
								$column_value .= '<div class="woo_pdf_res_buyer"> Name </div>' . $order->billing_first_name;
								
								if( !empty( $order->billing_last_name ) ) {
									$column_value .=  $order->billing_last_name;
								}
								break;
							
							case 'buyer_email' : 
								$column_value .='<div class="woo_pdf_res_buyer"> Email </div>' .$order->billing_email;
								break;
							
							case 'billing_address' : 
								$column_value .= '<div class="woo_pdf_res_buyer"> Billing Address </div> <div class="woo_pdf_val">' . $billing_address . "</div>";
								break;
							
							case 'shipping_address' : 
								$column_value .= '<div class="woo_pdf_res_buyer"> Shipping Address </div> <div class="woo_pdf_val">' . $shipping_address . '</div>';
								break;
							
							case 'buyer_phone' : 
								$column_value .= '<div class="woo_pdf_res_buyer"> Phone </div>' . $order->billing_phone;
								break;
							
							default:
								$column_value .= '';
						}
						
						echo apply_filters( 'woo_vou_check_voucher_column_value', $column_value, $col_key, $voucodeid, $item_id, $order_id );
						?>
					</div><?php 
				}?>
			</div>
		</div><?php 
	}
	
	do_action( 'woo_vou_after_buyerinfo', $voucodeid, $item_id, $order_id );
	
	if( !empty( $order_info_columns ) ) { //if product info is not empty ?>
	
		<h2><?php echo __( 'Order Information', 'woovoucher' );?></h2>
		
		<div class="woo_pdf_vou_main">
			<div class="woo_pdf_vou_tit">
				<?php
				// Get product columns
				$order_col = count($order_info_columns);
				$order_col = 'col-'.$order_col;
				
				foreach ( $order_info_columns as $col_key => $column ) { ?>
					<div class="<?php echo $order_col; ?> woo_vou_padding"><?php echo $column;?></div><?php
				}?>
			</div>
			<div class="woo_pdf_vou_pro_lst">
				<?php
				foreach ( $order_info_columns as $col_key => $column ) {?>
					
					<div class="<?php echo $order_col; ?> woo_vou_padding"><?php
					
						$column_value = '';
						
						switch ( $col_key ) { 
							
							case 'order_id' :
								$column_value .= '<div class="woo_pdf_res_order"> Order ID </div>'. $order_id;
								break;
							
							case 'order_date' :
								$column_value .=  '<div class="woo_pdf_res_order"> Order Date </div>' . $this->model->woo_vou_get_date_format( $order->post->post_date, true );
								break;
							
							case 'payment_method' : 
								$column_value .=  '<div class="woo_pdf_res_order"> Payment Method </div>' . $payment_method;
								break;
							
							case 'order_total':
								$column_value .=  '<div class="woo_pdf_res_order"> Order Total </div>' . esc_html( strip_tags( $order->get_formatted_order_total() ) );
								break;
							
							case 'order_discount' : 
								$column_value .=  '<div class="woo_pdf_res_order"> Order Discount </div>' . wc_price( $order->get_total_discount(), array( 'currency' => $order->get_order_currency() ) );
								break;
							
							default:
								$column_value .= '';
						}
						
						echo apply_filters( 'woo_vou_check_voucher_column_value', $column_value, $col_key, $voucodeid, $item_id, $order_id ); ?>
					</div><?php 
				}?>
			</div>
		</div><?php
	}
	
	do_action( 'woo_vou_after_orderinfo', $voucodeid, $item_id, $order_id ); ?>
</div>